import { CategoryAxisBase } from "./CategoryAxisBase";
import { DependencyProperty } from "igniteui-react-core";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { Rect } from "igniteui-react-core";
import { Point, IList$1, Type } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { CategoryMode } from "./CategoryMode";
import { SeriesViewer } from "./SeriesViewer";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
/**
 * @hidden
 */
export declare class CategoryYAxis extends CategoryAxisBase {
    static $t: Type;
    a3(): AxisView;
    gy(a: AxisView): void;
    k6: CategoryYAxisView;
    protected get_ch(): boolean;
    dy(): number;
    k3(a: Point, b: boolean, c: number): Rect;
    protected k5(a: IList$1<number[]>): number[][];
    gs(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    constructor();
    static readonly lo: DependencyProperty;
    lc: number;
    private k7;
    k9: number;
    ea(): number;
    static readonly lp: DependencyProperty;
    ld: number;
    private k8;
    la: number;
    private lf;
    lh: number;
    private le;
    lg: number;
    dz(a: number, b: ScalerParams): number;
    private lb;
    d2(a: number, b: ScalerParams): number;
    d3(a: number, b: ScalerParams, c: CategoryMode): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    ln(a: number, b: number): void;
    au(): AxisLabelPanelBase;
    dm(): number;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    j0(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    lm(a: any): void;
    cp(): boolean;
    jr(a: SeriesViewer): boolean;
    protected hd(a: boolean): void;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
}
/**
 * @hidden
 */
export declare class CategoryYAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bg: CategoryYAxis;
    constructor(a: CategoryYAxis);
}
